Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598668 - virt-manager: permission errors trying to use ISO
virt-manager: permission errors trying to use ISO
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
13
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 16:03 EDT by Frederik Hertzum
Modified: 2010-08-27 10:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-27 10:36:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederik Hertzum 2010-06-01 16:03:01 EDT
Description of problem:
Using a Qemu connection virtmanager always hijacks ISO9660 files, giving ownership to the qemu user and group. After having done so the file is reported as being unreadable by qemu and virt-manager is then unable to use it. Using Qemu directly, i.e. not using virt-manager, allows reading the file, as it should be.

Version-Release number of selected component (if applicable):
0.8.3-3

How reproducible:
Always

Steps to Reproduce:
1. Setup a new virtual machine in virt-manager and configure it to boot from an ISO file.
2. Finish the installation.
3. Sit back and relax.
  
Actual results:
Virt-manager hijacks the ISO file and then refuses to read the file afterwards -- reporting insufficient rights.

Expected results:
Virt-manager should start the virtual machine and (try to) boot from the file.

Additional info:
Comment 1 Cole Robinson 2010-08-21 17:41:24 EDT
Please provide ~/.virt-manager/virt-manager.log, or the output of a run with virt-manager --debug

It's actually libvirt that is change the permissions of the file, but it does so to allow qemu to run, not break things. Is the ISO stored on NFS or similar? Does doing 'setenforce 0' make things work? Could be an selinux issue at work.
Comment 2 Frederik Hertzum 2010-08-27 10:20:16 EDT
SELinux was disabled already so setenforce wouldn't change anything :-)

The file was on a local, regular, ext4 partition. Anyway, the problem appears to have disappeared.
Comment 3 Cole Robinson 2010-08-27 10:36:10 EDT
Okay, closing as WORKSFORME, but please reopen if the issue reappears.

Note You need to log in before you can comment on or make changes to this bug.